<?php

//user.php

include('db_con.php');

  

  include('function.php');

if (isset($_SESSION['user_id'])) {

    $user_type = $_SESSION['user_type'];

    $user_id = $_SESSION['user_id'];

    $user_name = $_SESSION['user_name'];

    $branch_id = $_SESSION['branch_id'];

    $branch_name = $_SESSION['branch_name'];

    $store_id = $_SESSION['store_id'];

    $store_name = $_SESSION['store_name'];

}else{

  header('Location: login');

  die();

}



//if(!isset($_SESSION["type"]))

//{

//  header('location:login');

//}



//if($_SESSION["type"] != 'master')

//{

//  header("location:index.php");

//}





$sql = "SELECT IFNULL(doc_status,'ON') FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'items_adjust'";

            $statement = $connect->prepare($sql);

            $statement->execute(); // no need to add `$sql` here, you can take that out

            $items_adjust = $statement->fetchColumn();



            if($items_adjust=='OFF'){header('Location: dashboard');}



            $sql = "SELECT IFNULL(doc_status,'ON') FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'items_adjust_new'";

            $statement = $connect->prepare($sql);

            $statement->execute(); // no need to add `$sql` here, you can take that out

            $items_adjust_new = $statement->fetchColumn();



$sql = "SELECT IFNULL(doc_status,'ON') FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'items_adjust_edit'";

            $statement = $connect->prepare($sql);

            $statement->execute(); // no need to add `$sql` here, you can take that out

            $items_adjust_edit = $statement->fetchColumn();



            $sql = "SELECT IFNULL(doc_status,'ON') FROM user_rights WHERE user_id = '".$user_id."' and doc_name = 'items_adjust_print'";

            $statement = $connect->prepare($sql);

            $statement->execute(); // no need to add `$sql` here, you can take that out

            $items_adjust_print = $statement->fetchColumn();





           







?>





<!DOCTYPE html>

<html>

<head>

  <?php include('include/head.php'); ?>

  

</head>

<body>

  <?php include('include/header.php'); ?>

  <?php include('include/sidebar.php'); ?>

<div class="main-container">



  <!-- Content Wrapper. Contains page content -->

  <div class="content-wrapper">

    <!-- Content Header (Page header) -->

    <div class="content-header">

      <div class="container-fluid">

        <div class="row mb-2">

          <div class="col-sm-6">

            <h1 class="m-0 text-dark"></h1>

          </div><!-- /.col -->

          <div class="col-sm-6">

            <ol class="breadcrumb float-sm-right">

              <li class="breadcrumb-item"><a href="#">Inventory</a></li>

              <li class="breadcrumb-item active">Item Adjustment </li>

            </ol>

          </div><!-- /.col -->

        </div><!-- /.row -->

      </div><!-- /.container-fluid -->

    </div>

    <!-- /.content-header -->



    <!-- Main content -->

    <section class="content">

      <div class="container-fluid">

        <!-- Small boxes (Stat box) -->





     <span id="alert_action"></span>

    <div class="row">

        <div class="col-12">

          <div class="card">

            <div class="card-header">

              <div class="row">

                          <div class="col-lg-10 col-md-10 col-sm-8 col-xs-6">

                              <h3 class="panel-title">Item Adjustment</h3>

                            </div>

                            <?php if($items_adjust_new=='ON')

                            echo '



                            <div class="col-lg-2 col-md-2 col-sm-4 col-xs-6" align="right">

                            <a href="item_adjust_new?add=1" class="btn btn-primary"><i class="fa fa-plus"></i> Add New</a>

                            </div>

                               ';?>

                          </div>

            </div>

            <!-- /.card-header -->

            <div class="card-body">

              

                        <table width="100%" id="_dataTable" class="table table-bordered table-striped table-hover">

                          <thead>

                  <tr>

                    <th width="5%">ID</th>                    

                    <th width="10%">Date</th>

                     <th width="40%">Item Name</th>

                                   

                     <th width="15%">Store</th>

                     <th width="15%">Created</th>
                     
                      <th width="8%">In</th>

                      <th width="10%">Out</th>                 

                    

                    <?php if($items_adjust_edit=='ON'){

                    echo '<th width="5%">Edit</th>';

                  }





                

                 

                   if($items_adjust_delete=='ON'){

                    echo '<th width="5%">Delete</th>';

                  }?>
                  <th width="5%">Print</th>
                  

                   

                  </tr>

                </thead>

                        </table>

                     </div>

              </div>

          </div>

      </div>

             





        

        

      </div><!-- /.container-fluid -->

    </section>

    <!-- /.content -->

 

  <!-- /.content-wrapper -->

 <?php include('include/footer.php'); ?>

    </div>

    </div>



  <?php include('include/script.php'); ?>

  





</body>

</html>

 



        

<script>



$(document).ready(function(){



  



  var _dataTable = $('#_dataTable').DataTable({

    "processing": true,

    "serverSide": true,

    "order": [],

    "ajax":{

      url:"item_adjust_fetch.php",

      type:"POST"

    },

    "columnDefs":[

      {

        "target":[2,3,4],

        "orderable":false

      }

    ],

    "pageLength": 25

  });



  

  $(document).on('click', '.delete', function(){

    var tr_id = $(this).attr("id");

    

    var btn_action = "delete";

    if(confirm("Are you sure you want delete it permanently?"))

    {

      $.ajax({

        url:"item_adjust_action.php",

        method:"POST",

        data:{tr_id:tr_id, btn_action:btn_action},

        success:function(data)

        {

          $('#alert_action').fadeIn().html('<div class="alert alert-info">'+data+'</div>');

          _dataTable.ajax.reload();

        }

      })

    }

    else

    {

      return false;

    }

  });

 



  



});

    

</script>



<?php

//include('footer.php');

?>

